---
title: Alkalami - Frequently Asked Questions
fontversion: 3.000
---

Many questions can be answered by consulting the following FAQ pages. Here are a few sample questions answered in each FAQ:

- [SIL fonts in general](http://software.sil.org/fonts/faq)
    - *How can I type...?*
    - *How can I use font features?*
    - *Will you add support for character...?*
    - *Will you add support for script...?*
    - *WIll you help me...?*

- [The SIL Open Font License (OFL-FAQ)](https://scripts.sil.org/OFL-FAQ_web)
    - *Can I use this font for...?*
    - *Can I modify the font and then include it in...*
    - *If I use the font on a web page do I have to include an acknowledgement?*
    - The full OFL-FAQ.txt is also included in the font package.

A generic FAQ for all of our Arabic scripts fonts can be found here: [Arabic Fonts - FAQ](http://software.sil.org/arabicfonts/support/faq/). FAQ's specific to Alkalami are found below.

#### *Where does the name Alkalami come from?*

Alkǎlami is the local word for the Arabic “qalam”, a type of sharpened stick used for writing on wooden boards in the Kano region of Nigeria and Niger, and what gives the style its distinct appearance.

#### *How is Alkalami pronounced?*

The actual spelling of the word is Alkǎlami and it is pronounced al-KA-la-mi.

#### *I used a previous version of this font which included a hacked encoding. What are the codepoints I should convert from and to?*

If you used previous versions of this font, we made some decisions which were unfortunately not Unicode compliant. Since the initial release of this font, many of these non Unicode compliant characters have been added to Unicode. You will need to re-encode some characters to be fully Unicode compliant. A chart which includes the list of characters is found at the bottom of the [Font Features](features.md) page.

These non Unicode compliant solutions were removed in v2.000 of the font.

#### *I need the Alkalami Light font, and it is not in this package. Where do I find it?*

With version 2.000 of **Alkalami**, we have removed the **Alkalami Light** font and moved it to its own typeface. It is now available as the [Ruwudu](http://software.sil.org/ruwudu) font.

#### *What characters are included with this release?*

See [Character Set Support](charset.md) for the full listing.

#### *I notice that Alkalami is missing a number of characters that I would like. Will you add these?*

It is impossible for us to add every glyph that every person desires, but we do place a high priority on adding complete coverage of all the characters defined in Unicode for this Kano style of Arabic script use (excluding the Arabic Presentation Forms blocks, which are not recommended for normal use). You can send us your requests, but please understand that we are unlikely to add symbols where the user base is very small, unless they have been accepted into Unicode.

#### *What is so special about Alkalami?*

Alkalami is the first attempt at a typeface design based on handwritten manuscripts from Nigeria, in a style of writing called Rubutun Kano. This font is designed to work with the OpenType advanced font technology. To take advantage of the advanced typographic capabilities of this font, you must be using applications that provide an adequate level of support for OpenType. These advanced capabilities provide access to the variant character forms used in some languages, as well as a 'smart' font that switches out letters to avoid collisions as you type. See [Smart Font Features](features.md).


